0

I bought a Raspberry Pi 3 Model 3 to set up a VPN server, following this guide: https://sys.jonaharagon.com/2016/05/12/setting-up-an-openvpn-server-on-a-raspberry-pi-2-part-12/

When I finished, I was able to get my .ovpn file and imported it to the OpenVPN client, but I got this error:

    Sat Apr 22 00:09:40 2017 OpenVPN 2.4.1 x86_64-w64-mingw32 [SSL (OpenSSL)] [LZO] [LZ4] [PKCS11] [AEAD] built on Mar 22 2017
Sat Apr 22 00:09:40 2017 Windows version 6.2 (Windows 8 or greater) 64bit
Sat Apr 22 00:09:40 2017 library versions: OpenSSL 1.0.2k  26 Jan 2017, LZO 2.09
Enter Management Password:
Sat Apr 22 00:09:41 2017 WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Sat Apr 22 00:09:41 2017 OpenSSL: error:0906D06C:PEM routines:PEM_read_bio:no start line
Sat Apr 22 00:09:41 2017 OpenSSL: error:140AD009:SSL routines:SSL_CTX_use_certificate_file:PEM lib
Sat Apr 22 00:09:41 2017 Cannot load inline certificate file
Sat Apr 22 00:09:41 2017 Exiting due to fatal error

Being new to programming/UNIX/Raspberry, can anyone help me figure out what this is saying?

1 Answer 1

0

Looks like it can't read your certificate file you created using easy-rsa, which you set a path to in /etc/openvpn/server.conf or should have. That is maybe what it thinks is in line . Check to make the paths in this file point to the right certificate file. If you have paths to certs that aren't valid that could be an issue to, along with user permissions to read the certificate files.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .